use "C:\Users\xzw\Desktop\AEJ_Code\stata\SumStat.dta",clear
// this code report the summary statistics for raw data, replicate Table B.1 in online appendix

drop if FA<0 
drop if LTL<0 
drop if VA<0
drop if CWP<0
drop if PERSENG<0

bysort year: egen VA_tot0      =sum(VA)       // value added, unit: yuan
bysort year: egen FA_tot0      =sum(FA)       // fixed assets,unit: yuan
bysort year: egen LTL_tot0     =sum(LTL)      // liability,   unit: yuan
bysort year: egen CWP_tot0     =sum(CWP)      // wage, unit: yuan
bysort year: egen PERSENG_tot0 =sum(PERSENG)  // employment, unit: person

gen VA_tot = VA_tot0/1e9
gen FA_tot = FA_tot0/1e9
gen LTL_tot= LTL_tot0/1e9
gen CWP_tot= CWP_tot0/1e9
gen PERSENG_tot = PERSENG_tot0/1e6

gen IsSOE = 1 if REGTYPE == "110" | REGTYPE == "141" | REGTYPE == "143" | REGTYPE == "151"

replace IsSOE=0 if IsSOE==.

bysort year: egen NumSOE = sum(IsSOE)
bysort year: egen Num    = count(VA)  // number of firms 

gen SOEshare = NumSOE/Num*100  // soe share

format SOEshare VA_tot PERSENG_tot FA_tot CWP_tot LTL_tot %9.2f

collapse SOEshare VA_tot FA_tot LTL_tot CWP_tot PERSENG_tot NumSOE Num, by(year)
list year Num SOEshare VA_tot PERSENG_tot FA_tot CWP_tot LTL_tot
