use "C:\Users\xzw\Desktop\AEJ_Code\stata\CaliData.dta", clear
// This code replicates the mean and std of TFP in Table B.3

// compute TFPQ according to Midrigan and Xu (2012)
gen eta   = 0.85
gen labsh1 = 0.5

gen Asi_temp = (VA/(FA^(1-labsh1)*PERSENG^labsh1)^eta)
gen Asi = Asi_temp^(1/(1-labsh1)/eta) 

//drop outliers for TFPs
_pctile Asi, nq(40)
drop if Asi<r(r1) | Asi>r(r39)

bysort cic_adj year: egen avg_Asi = mean(Asi)
gen Asi_de = Asi/avg_Asi
bysort year: egen avg_POE0= mean(Asi_de) if IsSOE==0
bysort year: egen avg_SOE0= mean(Asi_de) if IsSOE==1
bysort year: egen avg_POE= mean(avg_POE0) 
bysort year: egen avg_SOE= mean(avg_SOE0)
gen avg_POE_SOE = avg_POE/avg_SOE
bysort cic_adj year: egen temp_avg_POE = mean(Asi_de) if IsSOE==0
bysort cic_adj year: egen temp_avg_SOE = mean(Asi_de) if IsSOE==1
bysort cic_adj year: egen avg_Asi_SOE  = mean(temp_avg_SOE)
bysort cic_adj year: egen avg_Asi_POE  = mean(temp_avg_POE)
bysort cic_adj year: egen temp_sd_POE = sd(Asi/avg_Asi_POE) if IsSOE==0
bysort cic_adj year: egen temp_sd_SOE = sd(Asi/avg_Asi_SOE) if IsSOE==1
bysort cic_adj year: egen sd_Asi_POE0   = mean(temp_sd_POE)
bysort cic_adj year: egen sd_Asi_SOE0   = mean(temp_sd_SOE)
gen sd_Asi_POE_SOE = sd_Asi_POE0/sd_Asi_SOE0
egen sd = mean(sd_Asi_POE_SOE)
format avg_POE_SOE sd_Asi_POE_SOE  %9.3f
collapse avg_POE_SOE sd_Asi_POE_SOE sd, by(year)
egen avg = mean(avg_POE_SOE)
list avg_POE_SOE sd_Asi_POE_SOE 
disp %9.3f avg
disp %9.3f sd
